Get a page of inventory items
Query Parameters
- Type: integerFormat: int32Page
Index The page index of the search.
- Type: integerFormat: int32Page
Size The number of inventory items to be returned in the response. Returns pages of up to 500 records.
- Type: stringSerials
Serials of inventory items to return. Separate multiple values with commas. Only exact matches are returned.
- Type: stringFormat: uuidPartner
Id The partner ID.
- Type: stringFormat: uuidPartner
Product Id The partner product ID.
- Type: stringFormat: uuidWarehouse
Id The warehouse ID.
- Type: stringFormat: uuidWarehouse
Product Id The warehouse product ID.
- Type: stringFormat: uuidWarehouse
Zone Id The ID of the warehouse zone.
- Type: stringFormat: uuidWarehouse
Location Id The ID of the warehouse location.
- Type: stringPallet
Reference Number The reference number of the pallet the inventory product is in.
- Type: stringFormat: uuidProduct
Attribute Id The ID of the product attribute
- Type: stringBatch
Batch of the inventory product item
Responses
- application/json
Request Example for get/v1/inventory-items
curl 'https://api.consignlyhq.com/v1/inventory-items?PageIndex=1&PageSize=25&Serials=S1001%2C%20S1002&PartnerId=&PartnerProductId=&WarehouseId=&WarehouseProductId=&WarehouseZoneId=&WarehouseLocationId=&PalletReferenceNumber=&ProductAttributeId=&Batch='
{
"index": 1,
"total": 1,
"items": [
{
"warehouseProductItemId": "123e4567-e89b-12d3-a456-426614174000",
"warehouseProductId": "123e4567-e89b-12d3-a456-426614174000",
"partnerId": "123e4567-e89b-12d3-a456-426614174000",
"partnerProductId": "123e4567-e89b-12d3-a456-426614174000",
"partnerProductCode": null,
"partnerProductName": null,
"serial": null,
"isSerialRequired": true,
"serialTrackingMode": "enum (None = 1, FullCapture = 2, ReleaseCapture = 3)",
"batch": null,
"bestBeforeDate": "date (YYYY-MM-DD)",
"expiryDate": "date (YYYY-MM-DD)",
"packagingDate": "date (YYYY-MM-DD)",
"productionDate": "date (YYYY-MM-DD)",
"sellByDate": "date (YYYY-MM-DD)",
"availableQuantity": 1,
"availableVolumeM3": 1,
"availableWeightKG": 1,
"onHandQuantity": 1,
"onHandVolumeM3": 1,
"onHandWeightKG": 1,
"warehouseLocationId": "123e4567-e89b-12d3-a456-426614174000",
"warehouseLocationName": null,
"warehouseLocationType": "enum (Racking = 1, Bulk = 2, Quarantine = 3, Transitional = 4)",
"logisticUnitNumber": null,
"logisticUnitReferenceNumber": null,
"logisticUnitSsccNumber": null,
"receivedUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
"attributes": [
{
"productAttributeId": "123e4567-e89b-12d3-a456-426614174000",
"name": null,
"description": null
}
],
"dangerousGood": {
"unNumber": null,
"hazchemFireCode": "enum (I = 1, II = 2, III = 3, IV = 4, II_ARF = 5, III_ARF = 6)",
"hazchemSafetyCode": "enum (P = 1, R = 2, S = 3, S_Black = 4, T = 5, T_Black = 6, W = 7, X = 8, Y = 9, Y_Black = 10, Z = 11, Z_Black = 12)",
"hazchemEvacuate": null
}
}
]
}